Oracle MySQL Connectors 多個弱點 (2019 年 10 月 CPU)

high Nessus Plugin ID 129974

Synopsis

遠端主機受多個弱點影響。

描述

遠端主機上安裝的 Oracle MySQL Connectors 為比 8.0.18 舊的 8.0.x 版或比 5.3.14 舊的 5.3.x 版。因此,會受到 2019 年 10 月重大修補程式更新公告所述的下列弱點影響:- Oracle MySQL Connectors 的 Connector/ODBC 元件中有一個不明的遠端安全性ˋ弱點。(CVE-2019-2920) - 在 Oracle MySQL Connectors 中,Connector/ODBC 元件的 OpenSSL 子元件中存在弱點,這是因為在 ChaCha20-Poly1305 AEAD 密碼中設定可變的 nonce 長度所致。未經驗證的遠端攻擊者可藉此影響資料的機密性和完整性。(CVE-2019-1543) 請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

按照 2019 年 10 月 Oracle 重要修補程式更新公告,套用適當的修補程式。

另請參閱

http://www.nessus.org/u?9b5081c3

Plugin 詳細資訊

嚴重性: High

ID: 129974

檔案名稱: oracle_mysql_connectors_cpu_oct_2019.nasl

版本: 1.4

類型: local

代理程式: windows, macosx, unix

系列: Misc.

已發布: 2019/10/16

已更新: 2022/4/11

組態: 啟用徹底檢查

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 6

CVSS v2

風險因素: Medium

基本分數: 5.8

時間分數: 4.3

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:N

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2019-1543

CVSS v3

風險因素: High

基本分數: 7.4

時間分數: 6.4

媒介: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/a:oracle:mysql_connectors

必要的 KB 項目: installed_sw/MySQL Connector

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2019/10/15

弱點發布日期: 2019/3/6

參考資訊

CVE: CVE-2019-1543, CVE-2019-2920

BID: 107349